"use strict";
exports.__esModule = true;
var flip_ternary_1 = require("../flip-ternary");
var range = require("../../range");
var test_utils_1 = require("./test-utils");
var buildEditResponse = test_utils_1.createBuildFunction(flip_ternary_1["default"]);
describe('javascript', function () {
    it('simple', function () {
        var source = 'a ? b : c';
        var r = buildEditResponse(source, range.create(1, 6, 1, 6));
        expect(r).toEqual({
            newText: '!a ? c : b',
            range: { end: { column: 9, line: 1 }, start: { column: 0, line: 1 } },
            title: 'Flip ternary'
        });
    });
    it('nested, should convert inner', function () {
        var source = 'a ? b : x ? y : z';
        var r = buildEditResponse(source, range.create(1, 11, 1, 11));
        expect(r).toEqual({
            newText: '!x ? z : y',
            range: { end: { column: 17, line: 1 }, start: { column: 8, line: 1 } },
            title: 'Flip ternary'
        });
    });
});
