"use strict";
exports.__esModule = true;
var Range = require("../range");
var Ast = require("../ast");
var Patch = require("../patch");
var fixer = {
    suggestCodeAction: function (params) {
        var j = params.j, ast = params.ast;
        var node = Ast.findLastNode(ast, j.ConditionalExpression, function (n) { return n.loc !== null && Range.isInside(params.selection, n.loc); });
        if (!node || !node.loc) {
            return null;
        }
        return {
            title: "Flip ternary",
            data: node.loc.start
        };
    },
    createEdit: function (params) {
        var data = params.data, ast = params.ast, j = params.j;
        var node = Ast.findFirstNode(ast, j.ConditionalExpression, function (n) { return Ast.isOnPosition(n, data); });
        if (!node) {
            return null;
        }
        var consequent = node.consequent;
        var alternate = node.alternate;
        var test = Ast.negateExpression(j, node.test);
        var newNode = j.conditionalExpression(test, alternate, consequent);
        return Patch.replaceNode(j, node, newNode);
    }
};
exports["default"] = fixer;
