"use strict";
exports.__esModule = true;
var fs = require("fs");
function createFileLogger(filePath) {
    return createGenericLogger(function (msg) {
        fs.appendFileSync(filePath, msg + '\n', 'utf8');
    });
}
exports.createFileLogger = createFileLogger;
function createConnectionLogger(c) {
    // TODO wait for connection ready
    return c.console;
}
exports.createConnectionLogger = createConnectionLogger;
function createNoopLogger() {
    return createGenericLogger(function (_) { });
}
exports.createNoopLogger = createNoopLogger;
function createGenericLogger(log) {
    return {
        log: function (msg) { return log('[log] ' + msg); },
        info: function (msg) { return log('[info] ' + msg); },
        error: function (msg) { return log('[error] ' + msg); }
    };
}
