"use strict";
exports.__esModule = true;
var Range = require("./range");
function toTextEdit(patch) {
    return {
        newText: patch.newText,
        range: Range.toProtocol(patch.range)
    };
}
exports.toTextEdit = toTextEdit;
function replace(range, newText) {
    return { range: range, newText: newText };
}
exports.replace = replace;
function insert(j, position, newNode) {
    return { range: { start: position, end: position }, newText: j(newNode).toSource() };
}
exports.insert = insert;
function insertLine(j, position, newNode, config) {
    var beforeSym = '\n';
    var afterSym = '\n';
    if (config) {
        if (config.after !== undefined) {
            afterSym = afterSym.repeat(config.after);
        }
        if (config.before !== undefined) {
            beforeSym = beforeSym.repeat(config.before);
        }
    }
    return {
        range: { start: position, end: position },
        newText: beforeSym + j(newNode).toSource() + afterSym
    };
}
exports.insertLine = insertLine;
function del(range) {
    return { range: range, newText: '' };
}
exports.del = del;
function replaceNode(j, oldNode, newNode) {
    var loc = oldNode.loc;
    if (!loc) {
        throw new Error('old node should have location');
    }
    return replace(Range.create(loc.start.line, loc.start.column, loc.end.line, loc.end.column), j(newNode).toSource());
}
exports.replaceNode = replaceNode;
